#include <stdio.h>


void init(char *s, int l, char v) {
	int i;
        for(i=0; i<l; i++)
                s[i]=v;
}

void cifra(char *s, int k) {
	int i;
	for(i=0; s[i]!='\0'; i++) {
		s[i]=(s[i]-'a'+k)%('z'-'a'+1)+'a';
	}
}

void decifra(char *s, int k) {
	int i;
	for(i=0; s[i]!='\0'; i++) 
		s[i]=(s[i]-'a'-k+26)%('z'-'a'+1)+'a';
}

int main(){
    int k;
    char testo[128];

	init(testo,128,'*');

    printf("Testo input: ");
	scanf("%s", testo);

    printf("Chiave: ");
    scanf("%d", &k);

	cifra(testo,k);	

	printf("Testo cifrato: %s\n", testo);

	decifra(testo,k);

	printf("Testo decifrato: %s\n", testo);
	return 0;
}

